Jump to content
vagrantprodigy

6.7.2 upgrade problem

5 posts in this topic Last Reply

Recommended Posts

I updated to 6.7.2 recently, and upon upgrading, my SQLlite issues appear to be better. I still have to run SQLlite containers off of the array, but at least they run. However, upgrading completely broken bonding for me. When my bond is enabled, I completely lose connectivity to my server. I unbonded my NICS, and have now connectivity, but that broke my VMs and Containers. I spent the last week reconfiguring, but ran into an issue now where I can use VMs, or containers, but not both.

When I enabled bridging on my second NIC in order to create a network for my VMs, my containers all broke. I re-ip'd the containers, and most are online, but a few just won't come up. The common factor is that these all use Bridge type connectivity. Not all Bridge VMs have this issue, I've found 4 so far (Smokeping, LazyLibrarian, GitLab-CE, and QBittorrentVPN). Also, all of my containers are showing updates available, but when I hit update all, the update available icon never goes away, and the containers don't actually update. I did think about rolling back, when unfortunately when I go to the update OS page, the rollback option showing is also 6.7.2.

 

Ideally I'd like to get my bonding working again, and hopefully in doing so, get my containers and VMs working. Any advice is appreciated.

Share this post


Link to post

You can always downgrade manually by downloading the zip file for a release and extracting all the bz* type files overwriting the ones on the flash.

Share this post


Link to post
57 minutes ago, itimpi said:

You can always downgrade manually by downloading the zip file for a release and extracting all the bz* type files overwriting the ones on the flash.

Good to know. Thanks. I'll give it a try.

Share this post


Link to post

I tried to upgrade from 6.6.7 to 6.7.2 a few weeks ago. I ran the update assistant from the tools page and everything came back clean. I proceeded with the upgrade and when the system rebooted to instantiate I cold no longer get into the webgui or PuTTY in. As I had a peculiar bonded network setup (peculiar in the sense that all of my NICs were bonded together including eth0). I could not rule out that the bonding had caused a problem so I pulled the flash drive and copied all the bz* files from previous version folder back over the "new" bz* files thus rolling back (thanks forum for that methodology!!). After rolling back everything came back up and was functional. During the week I unbonded my eth0 interface and bound it to the motherboard NIC. My quad port NIC had all of it's ports bonded together and statically IP'd to a different address. At this point everything looks good (except Plex which is having really weird issues which are for a different forum (unnless someone ants to hear them)). I checked forum and folks mentioned a change to syslinux.cfg for AMD systems having Marvell chipset. My chipset is only for an HDD SATA drive controller so should be safe (according to forum) but I put the recommended amd_iommu=pt making the line read: append amd_iommu=pt initrd=/bzroot. I next pull my bonded NIC card from the server and try to go through upgrade again. Same results. I cannot run diagnostics or even look at any logs as I cannot get into server after upgrade. I can't even ping the server successfully. So I once again pull flash drive a reverse upgrade. Now, my question is, is my only path for upgrading to do it manually via direct download to flash device and replacing config folder with my current backed up config file? Is that all of the steps to get everything configuration wise back? will that put all of my VMs and dockers back correctly? What are the chances that my system will run on 6.7.2 with no issues given that the upgrade, via the gui, did not work? And lastly, will I have any license issues as I overwrite my current USB drive with the new download version? Thanks...

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.